"""mordor URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/3.2/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import path, include

from . import views

app_name = "mordor"
urlpatterns = [
    path("", views.index, name="index"),
    path("winkel", views.winkel, name="winkel"),
    path("orders", views.orders, name="orders"),
    path("manage", views.manage, name="manage"),
    path("remove_order/<int:order_id>", views.remove_order, name="remove_order"),
    path("admin/", admin.site.urls),
    path("login/zeus/", include("oauth.urls")),
    path("user/", include("users.urls")),
]
